# Chatbot deployments

## Retrieves the status of active deployments for all environments.

> \
> \
> \*\*Required Permission:\*\* \`chatbots.deployments.status\`\
> \
> \*\*Resource:\*\* \`chatbots/:chatbotId\`

```json
{"openapi":"3.0.0","info":{"title":"ChatCaptain API","version":"1.0"},"tags":[{"name":"Chatbot deployments","description":""}],"servers":[{"url":"https://api.chatcaptain.com","description":"Production"}],"security":[{},{}],"paths":{"/v1/chatbots/{chatbotId}/deployments/status":{"get":{"operationId":"ChatbotDeploymentController_getActiveDeploymentStatus[1]_v1","parameters":[{"name":"chatbotId","required":true,"in":"path","description":"The ID of the chatbot.","schema":{"type":"string"}}],"responses":{"200":{"description":"The status of deployments for the test, prod, and dev environments.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetActiveDeploymentsStatusResponseDto"}}}},"403":{"description":"Insufficient permissions."}},"summary":"Retrieves the status of active deployments for all environments.","tags":["Chatbot deployments"],"description":"\n\n**Required Permission:** `chatbots.deployments.status`\n\n**Resource:** `chatbots/:chatbotId`"}}},"components":{"schemas":{"GetActiveDeploymentsStatusResponseDto":{"type":"object","properties":{"test":{"description":"The status of the deployment in the test environment.","allOf":[{"$ref":"#/components/schemas/DeploymentStatusDto"}]},"prod":{"description":"The status of the deployment in the production environment.","allOf":[{"$ref":"#/components/schemas/DeploymentStatusDto"}]},"dev":{"description":"The status of the deployment in the development environment.","allOf":[{"$ref":"#/components/schemas/DeploymentStatusDto"}]},"error":{"type":"string","description":"An optional error message."}}},"DeploymentStatusDto":{"type":"object","properties":{"id":{"type":"string","description":"The ID of the Deployments."},"version":{"type":"string","description":"The version number that is deployed."},"deployed":{"type":"string","description":"The deployment timestamp in ISO format."},"modelId":{"type":"string","description":"The ID of the model that this version is based on."}},"required":["id","version","deployed","modelId"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chatcaptain.com/api/api-dokumentation/chatbot-deployments.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
